- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO

# NAME

HTML::Mason::Resolver::Null - a do-nothing resolver

# SYNOPSIS

      my $resolver = HTML::Mason::Resolver::Null->new;

# DESCRIPTION

This HTML::Mason::Resolver subclass is useful if you want to create components via the `HTML::Mason::Interp->make_component` method and you never plan to interact with the filesystem.

Basically, it provides all of the necessary resolver methods but none of them do anything.

This means that if you use this method things like `$interp->exec` will simply not work at all.

However, if you just want to make a component with an interepreter and execute that component it can be useful. For example:

      my $interp = HTML::Mason::Interp->new( resolver_class => 'HTML::Mason::Resolver::Null',
                                             data_dir => '/tmp' );

      my $comp = $interp->make_component( comp_source => <<'EOF' );
    % my $var = 'World';
    Hello, <% $var %>!
    EOF

      my $buffer;
      my $request = $interp->make_request( out_method => \$buffer, comp => $comp );
      $request->exec;

      print $buffer;

# SEE ALSO

HTML::Mason